@echo off
if "%1"=="" goto loop
copy isprime%1.in isprime.in >nul
echo.
echo ------------------isprime #%1------------------
echo Start: %time%
isprime.exe
echo End:   %time%
fc isprime.out isprime%1.ans
pause
goto del
:loop
for %%i in (1 2 3 4 5 6 7 8 9 10) do call %0 %%i
goto end
:del
del isprime.in
del isprime.out
:end
